%define installdir %apache_htdocsdir/addon-modules/wackowiki

Name: WackoWiki
Version: 4.2
Release: alt1

Summary: A slight and handy Wiki-engine based on Wakka Wiki.
License: free, see docs/LICENSE
Group: Networking/Other
URL: http://www.wackowiki.com/

Source: wacko.r4.2.tar.bz2
Source1: wackowiki.conf
Patch0: wacko-r4-installer-privileges-tip.patch
BuildArchitectures: noarch
BuildRequires: apache-devel
Requires: mod_php
Requires: apache-common

%description
WackoWiki - Small, lightweight, handy, expandable, multilingual Wiki-engine
based on Wakka Wiki. WYSIWYG editor, easy installer, many localizations,
email notification on changes/comments, several cache levels, design themes
(skins) support, XHTML compliance, page rights (ACLs), page comments.

%prep
%setup -n wacko.r4.2
%patch0 -p1

%build

%install
%__mkdir_p %buildroot%apache_addonconfdir.d
%__cp -p %SOURCE1 %buildroot%apache_addonconfdir.d

%__mkdir_p %buildroot%installdir
%__cp --preserve -pR {interwiki.conf,index.php,wakka.php,actions,themes,classes,_cache,xml,db,files,formatters,handlers,images,js,lang,lib,setup} %buildroot%installdir/
touch %buildroot%installdir/wakka.config.php
find %buildroot%installdir -type f -print0 | xargs -0 chmod a-x,go-w
%__chmod 770 %buildroot%installdir/{xml,_cache,files,files/perpage}

%post
# post-install instructions:
if egrep -q "^Include conf/addon-modules.?d?/wackowiki.conf" %apache_conf; then
    %__subst "/Include conf\/addon-modules\/wackowiki.conf/d" %apache_conf
    %__subst "/Include conf\/addon-modules.d\/wackowiki.conf/d" %apache_conf
fi

if ! grep -q "^Include conf/addon-modules.d/\*.conf" %apache_conf; then
    echo "Include conf/addon-modules.d/wackowiki.conf" >> %apache_conf
fi
	    
/sbin/service httpd condrestart

%postun
if [ $1 -eq 0 ]; then
    if [ -f %apache_conf ] ; then
	grep -q "^Include conf/addon-modules.d/wackowiki.conf" %apache_conf &&
	    %__subst "/Include conf\/addon-modules.d\/wackowiki.conf/d" %apache_conf
	/sbin/service httpd condrestart
    fi
fi

%files
%doc README readme.rus docs/LICENSE docs/UPGRADE 
%config(noreplace) %apache_addonconfdir.d/wackowiki.conf
%dir %installdir
%installdir/interwiki.conf
%installdir/index.php
%installdir/wakka.php
%installdir/actions
%installdir/themes
%installdir/classes
%installdir/db
%installdir/formatters
%installdir/handlers
%installdir/images
%installdir/js
%installdir/lang
%installdir/lib
%installdir/setup
%attr(-,root,%apache_group) %installdir/_cache
%attr(-,root,%apache_group) %installdir/xml
%attr(-,root,%apache_group) %installdir/files
%config(noreplace) %attr(0640,root,apache) %installdir/wakka.config.php

%changelog
* Sun Apr 03 2005 Leonid Shalupov <shalupov@altlinux.ru> 4.2-alt1
- 4.2

* Sat Feb 19 2005 Leonid Shalupov <shalupov@altlinux.ru> 4.0-alt1
- Initial build
